#ifndef _SCENARIO_LIST_
#define _SCENARIO_LIST_

#include "ScenarioItem.h"

#include <vector>

namespace HPL {
namespace E3D {
class ScenarioList {
private:
	std::vector<ScenarioItem*> m_vecScenarioItemList;

	int m_nIndex;
public:
	ScenarioList();
	~ScenarioList();
	
public:
	int get_Index();
	int reset();
	int add( ScenarioItem* item );
	
	/**
	  * @retval	NULL	‚à‚¤–³‚¢
	  */
	ScenarioItem* next();
	ScenarioItem* get_Last();
};
}
}

#endif
